かとのぼのマイコード・マイライフ

プログラミング初心者とアプリの個人開発者向けのブログ。たまに銭湯

firebase_admobをFlutterのAndroidで導入しようとするとエミュレータがクラッシュするエラー【Flutter】

この記事をシェアする

f:id:katonobo:20191017180242p:plain

firebase_admobがうまく導入できない

Flutterでfirebase_admobを導入しようとしたが、コンソールで

 

Built build/app/outputs/apk/debug/app-debug.apk.

Installing build/app/outputs/apk/app.apk...

 

の状態から進まない。また、エミュレーターがストップしてしまうエラーが発生した。 

pub.dev

解決策:バージョンとAndroidManifest.xmlのmeta-dataを適切に設定する

2つの問題があった。

  • 一つがパッケージのバージョンで、firebase_admobのバージョンによってうまく動かない。自分の場合はバージョン「0.6.1」でうまく動いた。
  • もう一つが、AndroidManifest.xmlのmeta-dataの設定を行う。「android/app/src/main」フォルダ内のAndroidManifest.xmlにmeta-dataを設定する。

 設定方法はこちらがわかりやすい

[Flutter] AdMob を使ってバナー広告を表示する方法 │ Web備忘録

firebase_admob | Flutter Package

 

注意点は、AppIDは自分のアプリのIDで、数字の間は「/」ではなく「~」の方であるということ。ここが正確でないとクラッシュする。

 

参考記事:

android - my app crashes because firebase admob dependency flutter - Stack Overflow

admob plugin causes Android to crash on startup · Issue #23659 · flutter/flutter · GitHub

 

 

Flutter モバイルアプリ開発バイブル

 

 

Android/iOSクロス開発フレームワーク Flutter入門

 

 

Flutter×Firebaseで始めるモバイルアプリ開発 (技術の泉シリーズ(NextPublishing))